package com.njcn.pojo.excelBody;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;

import javax.persistence.Column;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author hongawen
 * @Date: 2018/11/13 10:32
 */
public class EventAssExcelBody extends BaseRowModel implements Serializable {

    @Column(name="EVENTASS_INDEX")
    @ExcelProperty(value = "关联索引" ,index = 0)
    private String eventAssIndex;

    @Column(name="TIMEID")
    @ExcelProperty(value = "关联时间" ,index = 1)
    private String timeId;

    @Column(name="DESCRIBE")
    @ExcelProperty(value = "描述" ,index = 2)
    private String describe;

    @Column(name="RANGE")
    @ExcelProperty(value = "是否进行范围分析" ,index = 3)
    private BigDecimal range;

    @Column(name="USER_INDEX")
    @ExcelProperty(value = "用户索引" ,index = 4)
    private String userIndex;

    @Column(name="NAME")
    @ExcelProperty(value = "名称" ,index = 5)
    private String name;

    @Column(name = "UPDATETIME")
    @ExcelProperty(value = "更新时间" ,index = 6)
    private String updateTime;

    @Column(name="state")
    @ExcelProperty(value = "状态" ,index = 7)
    private BigDecimal state;

    public String getEventAssIndex() {
        return eventAssIndex;
    }

    public void setEventAssIndex(String eventAssIndex) {
        this.eventAssIndex = eventAssIndex;
    }

    public String getTimeId() {
        return timeId;
    }

    public void setTimeId(String timeId) {
        this.timeId = timeId;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }

    public BigDecimal getRange() {
        return range;
    }

    public void setRange(BigDecimal range) {
        this.range = range;
    }

    public String getUserIndex() {
        return userIndex;
    }

    public void setUserIndex(String userIndex) {
        this.userIndex = userIndex;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public BigDecimal getState() {
        return state;
    }

    public void setState(BigDecimal state) {
        this.state = state;
    }

    @Override
    public String toString() {
        return "EventAssExcelBody{" +
                "eventAssIndex='" + eventAssIndex + '\'' +
                ", timeId='" + timeId + '\'' +
                ", describe='" + describe + '\'' +
                ", range=" + range +
                ", userIndex='" + userIndex + '\'' +
                ", name='" + name + '\'' +
                ", updateTime='" + updateTime + '\'' +
                ", state=" + state +
                '}';
    }
}
